Debian Bug report logs - #540701
ITP: wbar-config -- graphical configuration utility for wbar

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Krzysztof Burghardt <krzysztof@burghardt.pl>

Date: Sun, 9 Aug 2009 18:18:04 UTC

Owned by: Markus Koschany <apo@gambaru.de>

Severity: wishlist

Fixed in version wbar/2.3.4-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, krzysztof@burghardt.pl, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#540701; Package wnpp. (Sun, 09 Aug 2009 18:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
New Bug report received and forwarded. Copy sent to krzysztof@burghardt.pl, debian-devel@lists.debian.org, <wnpp@debian.org>. (Sun, 09 Aug 2009 18:18:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wbarconf -- graphical configuration utility for wbar
Date: Sun, 09 Aug 2009 20:15:19 +0200
Package: wnpp
Severity: wishlist
Owner: Krzysztof Burghardt <krzysztof@burghardt.pl>

* Package name    : wbarconf
  Version         : 0.7.2
  Upstream Author : Mika Hynnä <mika.hynna@wippies.com>
* URL             : http://www.ihku.biz/wbarconf/
* License         : GPLv3
  Programming Lang: Python
  Description     : graphical configuration utility for wbar

wbar configuration gui written with Python and GTK+.

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#540701; Package wnpp. (Sat, 19 Feb 2011 17:14:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>. (Sat, 19 Feb 2011 17:14:10 GMT) Full text and rfc822 format available.

Message #10 received at 540701@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 540701@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wbarconf: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:05:00 +0000
retitle 540701 RFP: wbarconf -- graphical configuration utility for wbar
noowner 540701
thanks

Hi,

This is an automatic email to change the status of wbarconf back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting wbarconf, please send a mail to
<control@bugs.debian.org> with:

 retitle 540701 ITP: wbarconf -- graphical configuration utility for wbar
 owner 540701 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <540701@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: wbarconf -- graphical configuration utility for wbar' from 'ITP: wbarconf -- graphical configuration utility for wbar' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:16:53 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:16:53 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: wbar-config -- graphical configuration utility for wbar' from 'RFP: wbarconf -- graphical configuration utility for wbar' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Thu, 16 Aug 2012 17:51:06 GMT) Full text and rfc822 format available.

Owner recorded as Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Thu, 16 Aug 2012 17:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#540701; Package wnpp. (Tue, 21 Aug 2012 23:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Aug 2012 23:00:02 GMT) Full text and rfc822 format available.

Message #23 received at 540701@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 678865@bugs.debian.org
Cc: 540701@bugs.debian.org
Subject: ITA: wbar -- light and fast launch bar
Date: Wed, 22 Aug 2012 00:57:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

here is my intermediate result. Wbar and Wbar-config seem to work, no
show-stoppers so far.

I need to contact upstream to question them about the actual Copyright
License. It is either GPL-2 oder GPL-3. I'll make the e-mail publicly
available.

You can download the source package from my private ftp server.

dget -x ftp://46.182.19.209/debian/wbar/wbar_2.3.0+svn20120816+dfsg2-1.dsc

i386-binary:
ftp://46.182.19.209/debian/wbar/wbar_2.3.0+svn20120816+dfsg2-1_i386.deb

amd64-binary:
ftp://46.182.19.209/debian/wbar/wbar_2.3.0+svn20120816+dfsg2-1_amd64.deb

Changelog:



* New Maintainer (Closes: #678865)
     - Thanks Krzysztof for the past work and all the best!
   * New upstream release. (Closes: #617902)
     - Now the configuration can be done in /etc/wbar.d/wbar.cfg (global) or
       ~/.wbar (per user).
   * Initial release of wbar-config. (Closes: #540701)
     - Wbar-config is an optional GUI tool to customize wbar and is now
included
       in the upstream sources.
   * Switched to the new packaging format 3.0 (quilt). Thanks to
Yadickson Soto
     for the initial packaging work and Jari Aalto for the patch.
(Closes: #661034)
   * debian/rules:
     - Switched to dh with bash-completion and autoreconf to rebuild the
build
       system before compile time and to clean all auto-generated files.
     - Built with hardening=+all flags to provide more built-in security.
     - Built with DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed to install only
       dependencies which we really need. Thanks Matthias Klose for the
hint!
       (Closes: #641331)
   * debian/control:
     - New Build-Depends: intltool, pkg-config, libglade2-dev,
libgtk2.0-dev,
       libx11-dev, bash-completion, dh-autoreconf, debhelper (>=9)
   * Now all former recommended packages are only suggested:
     - gnome-extra-icons: no longer necessary because wbar ships its own
free
       icons.
     - wbar-config: it is possible to customize wbar without wbar-config
but on
       the other hand it would not make any sense to install wbar-config
without
       wbar. Thus the exact binary version of wbar is an absolute
dependency of
       wbar-config.
     - ttf-dustin: removed because upstream does not install fonts per
default
       anymore. You can still easily pick a font of your choice with
       wbar-config. See also README.Debian and man wbar-config(1).
(Closes: #575087)
     - bash-completion: wbar provides its own bash-completion snippet which
       makes it possible to complete wbar options on the command line.
       Recommended for users of Bash but to be considerate of others who
appreciate
       different shells (e.g. zsh) lowered to "Suggests".
   * Switched to compat level 9 to profit from automatic hardening build
flags.
   * Bumped Standards-Version to 3.9.3.
   * Improved the package description and fixed various typos and spelling
     errors in wbar-config and the man page and credited the original author
     of wbar again.
   * Installed wbar.desktop in /usr/share/applications instead of
/etc/wbar.d/ and removed the
     limitation to make it visible only in Gnome and Xfce.
   * Now the default icon size is 64 to increase visibility. You can
revert this
     change with the --isize option in .wbar or with wbar-config.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#540701; Package wnpp. (Thu, 23 Aug 2012 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 23 Aug 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #28 received at 540701@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: warlock.cc@gmail.com, yadickson@gmail.com
Cc: 678865@bugs.debian.org, 540701@bugs.debian.org
Subject: Questions and patches: new official Debian package for wbar
Date: Thu, 23 Aug 2012 15:50:00 +0200
[Message part 1 (text/plain, inline)]
Dear Rodolfo, dear Yadickson,

my name is Markus Koschany and i'm working on a new official Debian
package for wbar. While i prepared the package i discovered some license
issues thus i am contacting you in the hope that you can help resolving
them.

Please keep the bug reports cc'ed and the information public because i
think this would help other distributions, too. I've also attached a few
patches which fix minor spelling errors and typos.


1. Unoffical Debian packages

First of all thanks for supporting Debian. Unfortunately some users
confused your unoffical package with the offical but alas outdated
package in Debian and filed bug reports against them. See [1] and [2]
Please consider removing the unoffical packages from the project
homepage as soon as the official version gets updated.


2. GPL

The old Debian package states the source code is licensed under GPL-2. I
can find the same statement on your offical project homepage. [3]
Your source tarball respectively the svn repo contains a COPYRIGHT file
which says the code is licensed under GPL-3.

So my question is: Which one is it?


3. Icons

In the past we had to remove non-free icons and a font file. Obviously
you don't use the iconpack folder anymore. Would it be possible to
remove it completly from the svn repo?

I would like to use the new icons in /pixmaps but i can't find any
information about where they came from. I recognize the Anjuta logo
which is licensed under GPL-2 but the licenses for the other icons
remain vague. Could you clarify this situation?

4. Toolchain

You are using a very helpful autogen.sh file to create the build
toolchain. Would it be possible to include it in the next source tarball
release? I personally prefer rebuilding the toolchain myself and i think
this would also make it easier to spot changes in the source files. It
also reduces the size of the source tarball.

5. Patches

I've attached a few patches which correct, in my opinion, spelling
errors and typos in wbar. I'm not a native speaker myself but i had the
feeling "inverting icons growth" sounds better than "investing icons
growth". If you disagree with my changes, please let me know. If i made
a mistake myself i will revert the changes of course. I've also
increased the default icon size to 64. It makes wbar more visible for
starters and easier to spot.

Thanks for reading this far. I'm looking forward to your answers.

Best regards

Markus Koschany



1. http://bugs.debian.org/637354
2. http://bugs.debian.org/630876
3. http://code.google.com/p/wbar/
[01_fix_typos_and_author_manpage.patch (text/x-patch, attachment)]
[02_fix_typos_german_potfile.patch (text/x-patch, attachment)]
[03_fix_wbar-config_typos.patch (text/x-patch, attachment)]
[04_fix_lintian_warning_desktop_entry.patch (text/x-patch, attachment)]
[05_change_default_icon_size.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#540701; Package wnpp. (Sat, 25 Aug 2012 04:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodolfo Granata <warlock.cc@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Sat, 25 Aug 2012 04:39:06 GMT) Full text and rfc822 format available.

Message #33 received at 540701@bugs.debian.org (full text, mbox):

From: Rodolfo Granata <warlock.cc@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: yadickson@gmail.com, 678865@bugs.debian.org, 540701@bugs.debian.org
Subject: Re: Questions and patches: new official Debian package for wbar
Date: Sat, 25 Aug 2012 00:36:33 -0400
Hi Thanks for taking the time on wbar, please read inline.

- Rodolfo


On Thu, Aug 23, 2012 at 9:50 AM, Markus Koschany <apo@gambaru.de> wrote:
> Dear Rodolfo, dear Yadickson,
>
> my name is Markus Koschany and i'm working on a new official Debian
> package for wbar. While i prepared the package i discovered some license
> issues thus i am contacting you in the hope that you can help resolving
> them.
>
> Please keep the bug reports cc'ed and the information public because i
> think this would help other distributions, too. I've also attached a few
> patches which fix minor spelling errors and typos.

Thanks for the time, I'm glad there's interest on wbar, glad to help were I can.

>
> 1. Unoffical Debian packages
>
> First of all thanks for supporting Debian. Unfortunately some users
> confused your unoffical package with the offical but alas outdated
> package in Debian and filed bug reports against them. See [1] and [2]
> Please consider removing the unoffical packages from the project
> homepage as soon as the official version gets updated.

I've removed the unofficial packages from wbar's repo-page since they
added more confusion than what they solved I guess we can wait for the
official packages to be in place.

>
>
> 2. GPL
>
> The old Debian package states the source code is licensed under GPL-2. I
> can find the same statement on your offical project homepage. [3]
> Your source tarball respectively the svn repo contains a COPYRIGHT file
> which says the code is licensed under GPL-3.
>
> So my question is: Which one is it?

Definitely GPLv2. I haven't had the chance to go over the differences
but v2 was the original license and should still be so.

>
>
> 3. Icons
>
> In the past we had to remove non-free icons and a font file. Obviously
> you don't use the iconpack folder anymore. Would it be possible to
> remove it completly from the svn repo?

Done us they're of no use anymore.

> I would like to use the new icons in /pixmaps but i can't find any
> information about where they came from. I recognize the Anjuta logo
> which is licensed under GPL-2 but the licenses for the other icons
> remain vague. Could you clarify this situation?

Some of these icons used to be in my private svn repo since they were
freely available online and I used them for testing purposes. I've
removed most of them now and added a make-conf.sh script that should
help generate a proper wbar.cfg config file scanning available pixmaps
in the system. Take into consideration that this script just searches
/usr/local and is not very configurable except some variables at the
top of the script.

>
> 4. Toolchain
>
> You are using a very helpful autogen.sh file to create the build
> toolchain. Would it be possible to include it in the next source tarball
> release? I personally prefer rebuilding the toolchain myself and i think
> this would also make it easier to spot changes in the source files. It
> also reduces the size of the source tarball.

The latest and greatest 2.3.1 version has only the source code in the
repo including autogen.sh.

>
> 5. Patches
>
> I've attached a few patches which correct, in my opinion, spelling
> errors and typos in wbar. I'm not a native speaker myself but i had the
> feeling "inverting icons growth" sounds better than "investing icons
> growth". If you disagree with my changes, please let me know. If i made
> a mistake myself i will revert the changes of course. I've also
> increased the default icon size to 64. It makes wbar more visible for
> starters and easier to spot.

Thanks for taking the time to go over the project and fix these typos,
spelling errors, and author :-)

> Thanks for reading this far. I'm looking forward to your answers.

My pleasure, please checkout:
http://code.google.com/p/wbar/source/detail?r=52
http://code.google.com/p/wbar/source/detail?r=53
http://code.google.com/p/wbar/source/detail?r=54
http://code.google.com/p/wbar/source/detail?r=55
http://code.google.com/p/wbar/source/detail?r=56

Cheers,

>
> Best regards
>
> Markus Koschany
>
>
>
> 1. http://bugs.debian.org/637354
> 2. http://bugs.debian.org/630876
> 3. http://code.google.com/p/wbar/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#540701; Package wnpp. (Sat, 25 Aug 2012 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 25 Aug 2012 19:54:03 GMT) Full text and rfc822 format available.

Message #38 received at 540701@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Rodolfo Granata <warlock.cc@gmail.com>
Cc: yadickson@gmail.com, 678865@bugs.debian.org, 540701@bugs.debian.org
Subject: Re: Questions and patches: new official Debian package for wbar
Date: Sat, 25 Aug 2012 21:51:32 +0200
[Message part 1 (text/plain, inline)]
On 25.08.2012 06:36, Rodolfo Granata wrote:
> Hi Thanks for taking the time on wbar, please read inline.

Hi,

thank you for your quick reply. I think you've answered all of my
questions which helps me a lot. It's great to know that the non-free
icons are gone which means now i can work on your official tarball
without having to repack it.

We are almost finished, let me suggest the following though.

==Official Tarball==

It's really polished now. But you can safely remove the debian directory
because technically speaking it doesn't belong to the original sources.
I suggest you simply remove it and i will take care of all Debian
related stuff. Then you could rename your next source tarball for
example to wbar-2.3.2.tgz and everyone would be happy.

==make-conf.sh==

Great idea. Having a convenient script which takes care of creating a
default config is very useful. Maybe we should extend the search for
icons a bit because quite a lot of applications store their icons in
/usr/share/pixmaps. At the moment this directory is excluded and not
every application uses hicolor icons. I also think it should be
installed in /usr/share/wbar/.

==wbar.cfg==

I have attached a patch which creates a sane default wbar.cfg. It
contains two config blocks. For the first one i've changed
osxbarback.png to dock.png. I think it is better to set the font to
"none" because as far as i know there is no reliable way to know which
fonts are installed. Most of them will have something like
ttf-liberation or ttf-dejavu installed on their system, but we can't be
100% sure.

Therefore i think it would be better to refrain from using a specific
font because it is very likely that wbar will refuse to start on a
system without the font which could be a real show-stopper for novice
users. Let the user decide which font he wants to use.

The second block in wbar.cfg points to wbar-config which should be a
default entry in wbar. But i guess we need the wbar.png file back. I
thought this one was free and you or yadickson had created it. If i'm
wrong will you consider to replace it with a free icon? Thus it could be
used not only in wbar itself but also in desktop menus.

==wbar.desktop==

I've attached another patch which changes the icon path to
/usr/share/pixmaps/wbar/wbar.png. It would be ideal if the desktop file
was located in the /share directory because normally desktop files
belong here. If you don't want to change the location, i could also
override the installation path in the debian directory.

==README==

I think we should mention wbar-config and make-conf.sh in the README,
too and promote them.

==My summary==

To create a sane default we should
  - set no specific font path
  - use wbar.png as the default icon in wbar which points the user to
    wbar-config
  - promote wbar-config and make-config.sh in the README file


Thanks again and keep up the good work.

Cheers
Markus





[01_change_default_wbar_cfg.patch (text/x-patch, attachment)]
[02_change_desktop_file.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#540701; Package wnpp. (Thu, 06 Sep 2012 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 06 Sep 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #43 received at 540701@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Rodolfo Granata <warlock.cc@gmail.com>
Cc: yadickson@gmail.com, 678865@bugs.debian.org, 540701@bugs.debian.org
Subject: Re: Questions and patches: new official Debian package for wbar
Date: Thu, 06 Sep 2012 20:00:30 +0200
[Message part 1 (text/plain, inline)]
Hello,

here is a short update.

i've discovered the original authors of the unknown icons which you have
shipped until version 2.3.0 with wbar. Hence i've updated the AUTHORS
file (attached) because all icons are made available under the GPLv2!

I suggest the following:

1. Reintroduction of the icons in the pixmaps folder
   I don't see any reason why it shouldn't be possible to ship
   them with wbar. I think they are a good default set of icons which
   makes it easy for beginners to use wbar.

2. wbar.cfg
   There wouldn't be any changes necessary if you introduced the old
   pixmap icons again. I will adjust the font path. But that's a
   Debian specific change thus you don't need to bother.

3. Removal of the Debian folder
   As i have written in my last e-mail, it can safely be removed.

4. make-conf.sh
   Useful addition. I will install it in /usr/share/wbar.

5. wbar.desktop
   Please take a look at my last mail. I think it should be installed
   in /usr/share/applications.


That's it. What do you think about these changes?

Regards
Markus Koschany
[AUTHORS (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#540701; Package wnpp. (Fri, 07 Sep 2012 03:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rodolfo Granata <warlock.cc@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Fri, 07 Sep 2012 03:03:03 GMT) Full text and rfc822 format available.

Message #48 received at 540701@bugs.debian.org (full text, mbox):

From: Rodolfo Granata <warlock.cc@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: yadickson@gmail.com, 678865@bugs.debian.org, 540701@bugs.debian.org
Subject: Re: Questions and patches: new official Debian package for wbar
Date: Thu, 6 Sep 2012 23:01:26 -0400
Hey Markus,

* Added wbar.png back
* Updated make-conf.sh to take multiple search directories
* I wanna keep the font even though it may not exist, if I'm not
mistaken, wbar will start anyway and it will get a default if it does.
* Added your latest patches.
* removed the debian dir.

TODO: promote wbar-config.

- Rodolfo


On Thu, Sep 6, 2012 at 2:00 PM, Markus Koschany <apo@gambaru.de> wrote:
> Hello,
>
> here is a short update.
>
> i've discovered the original authors of the unknown icons which you have
> shipped until version 2.3.0 with wbar. Hence i've updated the AUTHORS
> file (attached) because all icons are made available under the GPLv2!
>
> I suggest the following:
>
> 1. Reintroduction of the icons in the pixmaps folder
>    I don't see any reason why it shouldn't be possible to ship
>    them with wbar. I think they are a good default set of icons which
>    makes it easy for beginners to use wbar.
>
> 2. wbar.cfg
>    There wouldn't be any changes necessary if you introduced the old
>    pixmap icons again. I will adjust the font path. But that's a
>    Debian specific change thus you don't need to bother.
>
> 3. Removal of the Debian folder
>    As i have written in my last e-mail, it can safely be removed.
>
> 4. make-conf.sh
>    Useful addition. I will install it in /usr/share/wbar.
>
> 5. wbar.desktop
>    Please take a look at my last mail. I think it should be installed
>    in /usr/share/applications.
>
>
> That's it. What do you think about these changes?
>
> Regards
> Markus Koschany



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#540701; Package wnpp. (Sat, 08 Sep 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 08 Sep 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #53 received at 540701@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Rodolfo Granata <warlock.cc@gmail.com>, 540701@bugs.debian.org
Cc: yadickson@gmail.com, 678865@bugs.debian.org
Subject: Re: Bug#540701: Questions and patches: new official Debian package for wbar
Date: Sat, 08 Sep 2012 18:38:34 +0200
[Message part 1 (text/plain, inline)]
On 07.09.2012 05:01, Rodolfo Granata wrote:
> Hey Markus,
> 
> * Added wbar.png back
> * Updated make-conf.sh to take multiple search directories
> * I wanna keep the font even though it may not exist, if I'm not
> mistaken, wbar will start anyway and it will get a default if it does.
> * Added your latest patches.
> * removed the debian dir.
> 
> TODO: promote wbar-config.
> 

Hi Rodolfo,


thank you! I think i'm really done now. We need a new release. :)

I've updated the README and added some paragraphs about wbar-config and
make-conf.sh and removed some old lines and cleaned up a little. Patch
is attached, let me know what you think about it.

Forget about my suggestion to reintroduce the old icons. Although i know
about the original authors now, it is much easier if i handle a default
configuration by myself within the Debian system. It also makes the
source package of wbar smaller and easier to maintain if you don't have
to bother with external ressources.

I've checked the fonts again and indeed, it seems wbar will start anyway
even without a correct font path. Done!

I've discovered another typo in wbar-config (licence -> license) and the
version of wbar-config should be updated to 2.3.2 for your next release)

And it was necessary to patch Makefile.am in the pixmaps folder to copy
wbar.png to the right place again. Patch is attached.

Last but not least: The COPYING file states that Wbar is licensed under
the GPL-2+ (the + is important) which means you grant everyone the right
to redistribute and modify wbar either under the GPL-2 or any later
version. I personally think that's a good idea, but i wanted to ask
again if that's your intention. If yes, great, no changes are needed but
i guess you should change the license on the official homepage, too.

That's all for now

Regards
Markus


[Add_wbar.png_to_Makefile (text/plain, attachment)]
[fix_license_typo (text/plain, attachment)]
[fix_wbar_version (text/plain, attachment)]
[New_Wbar_README (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#540701; Package wnpp. (Tue, 18 Sep 2012 03:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yadickson Soto <yadickson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Tue, 18 Sep 2012 03:45:03 GMT) Full text and rfc822 format available.

Message #58 received at 540701@bugs.debian.org (full text, mbox):

From: Yadickson Soto <yadickson@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: Rodolfo Granata <warlock.cc@gmail.com>, 540701@bugs.debian.org, 678865@bugs.debian.org
Subject: Re: Bug#540701: Questions and patches: new official Debian package for wbar
Date: Mon, 17 Sep 2012 23:10:36 -0430
Hello

That's all for now
Check the new release 2.3.2

Regards


2012/9/8 Markus Koschany <apo@gambaru.de>:
> On 07.09.2012 05:01, Rodolfo Granata wrote:
>> Hey Markus,
>>
>> * Added wbar.png back
>> * Updated make-conf.sh to take multiple search directories
>> * I wanna keep the font even though it may not exist, if I'm not
>> mistaken, wbar will start anyway and it will get a default if it does.
>> * Added your latest patches.
>> * removed the debian dir.
>>
>> TODO: promote wbar-config.
>>
>
> Hi Rodolfo,
>
>
> thank you! I think i'm really done now. We need a new release. :)
>
> I've updated the README and added some paragraphs about wbar-config and
> make-conf.sh and removed some old lines and cleaned up a little. Patch
> is attached, let me know what you think about it.
>
> Forget about my suggestion to reintroduce the old icons. Although i know
> about the original authors now, it is much easier if i handle a default
> configuration by myself within the Debian system. It also makes the
> source package of wbar smaller and easier to maintain if you don't have
> to bother with external ressources.
>
> I've checked the fonts again and indeed, it seems wbar will start anyway
> even without a correct font path. Done!
>
> I've discovered another typo in wbar-config (licence -> license) and the
> version of wbar-config should be updated to 2.3.2 for your next release)
>
> And it was necessary to patch Makefile.am in the pixmaps folder to copy
> wbar.png to the right place again. Patch is attached.
>
> Last but not least: The COPYING file states that Wbar is licensed under
> the GPL-2+ (the + is important) which means you grant everyone the right
> to redistribute and modify wbar either under the GPL-2 or any later
> version. I personally think that's a good idea, but i wanted to ask
> again if that's your intention. If yes, great, no changes are needed but
> i guess you should change the license on the official homepage, too.
>
> That's all for now
>
> Regards
> Markus
>
>



-- 
Ing. Yadickson Soto
Linux User #497718



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#540701; Package wnpp. (Tue, 18 Sep 2012 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 18 Sep 2012 12:39:03 GMT) Full text and rfc822 format available.

Message #63 received at 540701@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Yadickson Soto <yadickson@gmail.com>
Cc: Rodolfo Granata <warlock.cc@gmail.com>, 540701@bugs.debian.org, 678865@bugs.debian.org
Subject: Re: Bug#540701: Questions and patches: new official Debian package for wbar
Date: Tue, 18 Sep 2012 14:35:29 +0200
[Message part 1 (text/plain, inline)]
On Mon, 17. Sep 23:10 Yadickson Soto <yadickson@gmail.com> wrote:
> Hello
> 
> That's all for now
> Check the new release 2.3.2

Hello!

I've incorporated your changes and changed the license to GPL3+
accordingly. Unfortunately a regression was introduced in the latest
release. Here is the relevant part of the build log.

Making check in po
make[2]: Entering directory `/tmp/buildd/wbar-2.3.2/po'
rm -f missing notexist
srcdir=. /usr/bin/intltool-update -m
The following files contain translations and are currently not in use.
Please
consider adding these to the POTFILES.in file, located in the po/
directory.

etc/wbar.desktop.in

If some of these files are left out on purpose then please add them to
POTFILES.skip instead of POTFILES.in. A file 'missing' containing this
list
of left out files has been written in the current directory.
if [ -r missing -o -r notexist ]; then \
exit 1; \
fi
make[2]: *** [check] Error 1
make[2]: Leaving directory `/tmp/buildd/wbar-2.3.2/po'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/wbar-2.3.2'
dh_auto_test: make -j1 check returned exit code 2
make: *** [build] Error 29
dpkg-buildpackage: error: debian/rules build gave
error exit status 2
E: Failed autobuilding of package

The fix is trivial. You can either delete wbar.desktop.in or add it to
po/POTFILES.skip. I've attached a patch which fixes this issue.

Thank you both 
Regards
Markus
[02_add_wbar.desktop.in_to_potfile.skip.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#540701; Package wnpp. (Sun, 23 Sep 2012 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yadickson Soto <yadickson@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Sun, 23 Sep 2012 16:45:03 GMT) Full text and rfc822 format available.

Message #68 received at 540701@bugs.debian.org (full text, mbox):

From: Yadickson Soto <yadickson@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: Rodolfo Granata <warlock.cc@gmail.com>, 540701@bugs.debian.org, 678865@bugs.debian.org
Subject: Re: Bug#540701: Questions and patches: new official Debian package for wbar
Date: Sun, 23 Sep 2012 12:13:39 -0430
Thanks Markus

Add patch to POTFILES.skip file
View new release 2.3.4

Regards from Venezuela



-- 
Ing. Yadickson Soto
+584164783125
Usuario Linux #497718



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Jan 2013 07:06:08 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 15 Feb 2013 21:03:08 GMT) Full text and rfc822 format available.

Notification sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug acknowledged by developer. (Fri, 15 Feb 2013 21:03:08 GMT) Full text and rfc822 format available.

Message #75 received at 540701-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 540701-close@bugs.debian.org
Subject: Bug#540701: fixed in wbar 2.3.4-1
Date: Fri, 15 Feb 2013 21:00:32 +0000
Source: wbar
Source-Version: 2.3.4-1

We believe that the bug you reported is fixed in the latest version of
wbar, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 540701@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated wbar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Sep 2012 15:30:32 +0200
Source: wbar
Binary: wbar wbar-config
Architecture: source amd64
Version: 2.3.4-1
Distribution: unstable
Urgency: low
Maintainer: Markus Koschany <apo@gambaru.de>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 wbar       - light and fast launch bar
 wbar-config - GUI tool to configure wbar
Closes: 540701 575087 617902 641331 661034 678865
Changes: 
 wbar (2.3.4-1) unstable; urgency=low
 .
   * New Maintainer (Closes: #678865)
     - Thanks Krzysztof for the past work and all the best!
   * New upstream release. (Closes: #617902)
     - Now the configuration can be done in /etc/wbar.d/wbar.cfg (global) or
       ~/.wbar (per user).
   * Initial release of wbar-config. (Closes: #540701)
     - Wbar-config is an optional GUI tool to customize wbar and is now included
       in the upstream sources.
   * Switch to the new packaging format 3.0 (quilt). Thanks to Rodolfo
     Granata and Yadickson Soto for the initial packaging work and Jari Aalto
     for the patch. (Closes: #661034)
   * Update debian/copyright to the new machine-readable copyright format 1.0.
   * Update the license to GPL-3+.
   * Drop +dfsg because the new release is pristine and fully complies with
     the DFSG.
   * Add an additional wbar.xpm icon for the debian menu.
   * debian/rules:
     - Build with hardening=+all flags to provide more built-in security.
     - Build with DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed to install only
       dependencies which are really needed. Thanks Matthias Klose for the hint!
       (Closes: #641331)
     - Build with --parallel and autoreconf to ensure the proper recreation of
       the build system.
   * debian/control:
     - New Build-Depends: intltool, pkg-config, libglade2-dev, libgtk2.0-dev,
       libx11-dev, dh-autoreconf, debhelper (>= 9)
     - Bump Standards-Version to 3.9.4.
     - Wbar will be maintained in a git repository from now on. Add Vcs-fields.
   * Bump compat level to 9 to make use of automatic hardening build flags.
   * New recommended packages:
     - Recommended packages only exist to make Wbar work out-of-the-box.
       You can safely remove them if you prefer other icons or fonts.
     - Replace gnome-extra-icons with lxde-icon-theme which doesn't depend
       on extra packages and contains more modern icons.
     - Replace ttf-dustin in favour of fonts-liberation. Even if a wrong font
       or image path is set, wbar will not refuse to start. (Closes: #575087)
   * New suggested packages:
     - wbar-config: It is possible to customize wbar without wbar-config. To
       follow wbar's goals to stay lightweight, it is only suggested.
     - bash-completion: Now wbar provides its own bash-completion snippet
       which makes it possible to complete wbar options on the command line.
       Recommended for users of Bash but to be considerate of others who
       appreciate different shells (e.g. zsh) lowered to "Suggests".
Checksums-Sha1: 
 078ca845a3a1459eb7214c74da00f940c3dd4fb2 1936 wbar_2.3.4-1.dsc
 37226fbb79362177f1bcf4249066f2198263f9f9 189999 wbar_2.3.4.orig.tar.gz
 38708db50410153313030274932029ae88b8908f 7521 wbar_2.3.4-1.debian.tar.gz
 50cdb72814c016ad59d260a2b1d9495824048c1b 59046 wbar_2.3.4-1_amd64.deb
 4ddfd41ff4f3a493ee683e14497263d05681b1d5 45218 wbar-config_2.3.4-1_amd64.deb
Checksums-Sha256: 
 393673043a7b52e4b95817b2d5dd4ae9a5397fcc753e21e183a9bde3b44000a0 1936 wbar_2.3.4-1.dsc
 46a69849e4436529aefb5cfb2c94b520d05a53c237e7773b90207f67f97a93e3 189999 wbar_2.3.4.orig.tar.gz
 a48f6de82d912afe5a81db0071e79a56916b60edca86cb246838da82817f20bb 7521 wbar_2.3.4-1.debian.tar.gz
 ff7f176b42c588c9a15bf5a3b650ba25f89456bf0a56bfbeb08209b1927a1aa6 59046 wbar_2.3.4-1_amd64.deb
 8f5c011a124cdfe6a320a57083caa72402c3f1015ad88bbfb352ca81e7893968 45218 wbar-config_2.3.4-1_amd64.deb
Files: 
 2afaac45031f1ea79598f40dbbb721e4 1936 x11 optional wbar_2.3.4-1.dsc
 c1ac6b74138937a280904d1bac88115d 189999 x11 optional wbar_2.3.4.orig.tar.gz
 728cbae8da6bb366bd93f87d5be5547f 7521 x11 optional wbar_2.3.4-1.debian.tar.gz
 96dbaabcc9de55fd74aeb7b771dd24a0 59046 x11 optional wbar_2.3.4-1_amd64.deb
 9e1a62bc7567c6cf5461e5fc68a49175 45218 x11 optional wbar-config_2.3.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ9ZaiAAoJEHQmOzf1tfkTlm0P/jxMwbh3ZwnekG8wJyT5FGv+
P7EU1sDR/bTNXaj5lf3KLom0g/3xYVdiT83JFViVqvZkbOS8RYQhSIqIjhqcsst6
oRTIpZuTAVZa/pOvXO9BRRCevUKcgfWCyZpwhqrceS2a4l18XfXTdSAhWFsYCTR0
4k9nsukRA+V9X3XyWb6fzNA08heg4fJxE6DHl7FQ6j9jM0lcRytlFCCKo3yRtvSr
PBwdYe7p9Vb7SPo+OgfPRjaeRm+rbTZdqRr/xrwSVJIrQntIjG9TMnjrDMg0bcrh
6OwB3fE4X3uGQfOaQZYw1B4r9R4MclYIUHBF+O4tvRF9Kdzewc5um37bnZXWK8dP
S7B9tjgEMgVGFFXcMwt2FAXxfIiAzVkmMRVT+pkfpXKB1xOtZ8U6Vu8tdPFApt46
o2auDxCf+ERKwxwwP/96HfjBI8geqqHaEzuX3BJhgAf0ep1QhmGf8KU+TqYGw7we
1aBDTWOuTSbGVLnpzjVT6OCLRNFbw7CpGlefQDLE3ebb/GDAkCxKBOjAQMQt4rzE
/d2xqlI4Pb5PttyW4tOsmTVhre4aDJ21Vq/TYvS7Y7+w/qaE2YgIlGwCsNTXLPak
aDP/CuXQRPL3tGrScbLV8f9QwK+PnwSPAcLK37dwCwSYxcKgfac/pixaWLlcjGJF
7D35kH/Ma7k+3geOiH4N
=Iy+0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Mar 2013 07:25:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:39:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.